Skip to main content
GET
Get quality metrics for the At a Glance page

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

start
string<date-time>

Start of the time range (ISO8601).

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-01-01T00:00:00Z"

end
string<date-time>

End of the time range (ISO8601).

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-01-31T23:59:59Z"

Response

Successfully retrieved quality metrics

Aggregated quality metrics across all active tasks for the At a Glance page.

pctTasksHighConfidence
number
required

Percentage of active tasks with High confidence (0-100).

Required range: 0 <= x <= 100
Example:

55

tasksNeedingMoreTesting
integer
required

Number of active tasks at Low or Medium confidence.

Required range: 0 <= x <= 9007199254740991
Example:

30

tasksWithUnstableScores
integer
required

Number of active tasks at Low stability.

Required range: 0 <= x <= 9007199254740991
Example:

10

totalTasks
integer
required

Total number of active tasks.

Required range: 0 <= x <= 9007199254740991
Example:

100

averageSyntheticHealthScore
number | null
required

Average synthetic health score (0-100) across tasks with sufficient data. Null when no tasks have enough evaluations for a reliable score.

Required range: 0 <= x <= 100
Example:

85.3